
Name:         gnome-exe-thumbnailer
Version:      0.8
Release:      4%{?dist}
Summary:      Shows thumbnails of exe files in nautilus

Group:        User Interface/Desktops
License:      LGPLv2+
URL:          https://launchpad.net/ubuntu/+source/%{name}/%{version}-0ubuntu1
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source:       https://launchpad.net/ubuntu/+archive/primary/+files/%{name}_%{version}-0ubuntu1.tar.gz
#Redhat Bugzilla #636819 comment 29, Upstream bug https://bugs.launchpad.net/ubuntu/+source/gnome-exe-thumbnailer/+bug/752578
Source1:      %{name}.thumbnailer
Requires:     xorg-x11-fonts-misc glibc-common icoutils ImageMagick gawk grep
%if 0%{?fedora} < 15
Requires:     GConf2
%endif
BuildArch:    noarch

%description
%{name} is a thumbnailer for Gnome that will give Windows .exe
files an icon based on their embedded icon and a generic "Wine program" icon.
If the program has normal execute permissions, then the standard embedded icon
will be shown.  This thumbnailer will also give a thumbnail icon for .jar, .py, 
and similar executable programs.

%prep
%setup -q
mv debian/README ./
rm -fr debian

%build
%{nil}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/gconf
install -d $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas
install -d $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-exe-thumbnailer
install -pm 755 %{name}.sh $RPM_BUILD_ROOT%{_bindir}/
%if 0%{?fedora} < 15
install -pm 644 %{name}.schemas $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/
%else
install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/thumbnailers/%{name}.thumbnailer
%endif
#Install pixmaps. This is ugly, I'll request a propper installation script from upstream.
#Also I really don't like the new theme, the previous one was better. I wonder if this is a sort of change I can do downstream?
cd pixmaps/%{name}
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-exe-thumbnailer/gnome
install -pm 644 gnome/template.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/gnome/
install -pm 644 gnome/installer.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/gnome/
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-exe-thumbnailer/tango
install -pm 644 tango/template.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/tango/
install -pm 644 tango/installer.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/tango/
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-exe-thumbnailer/faenza
install -pm 644 faenza/template.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/faenza/
install -pm 644 faenza/installer.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/faenza/
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-exe-thumbnailer/elementary
install -pm 644 elementary/template.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/elementary/
install -pm 644 elementary/installer.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}/elementary/
%clean
rm -fr $RPM_BUILD_ROOT

%if 0%{?fedora} < 15
%pre
%gconf_schema_prepare %{name}
%endif

%if 0%{?fedora} < 15
%post
%gconf_schema_upgrade %{name}
%endif

%if 0%{?fedora} < 15
%preun
%gconf_schema_remove %{name}
%endif

%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_bindir}/%{name}.sh
%if 0%{?fedora} < 15
%config %{_sysconfdir}/gconf/schemas/%{name}.schemas
%else
%{_datadir}/thumbnailers/%{name}.thumbnailer
%endif
%{_datadir}/pixmaps/%{name}/*

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun May 01 2011 Elad Alfassa <elad@fedoraproject.org> - 0.8-2
- Fix build

* Sun May 01 2011 Elad Alfassa <elad@fedoraproject.org> - 0.8-1
- Version update

* Sun Apr 17 2011 Elad Alfassa <elad@fedoraproject.org> - 0.7-3.1
- Bump release

* Tue Apr 12 2011 Elad Alfassa <el.il@doom.co.il> - 0.7-3
- Fix issues from review

* Mon Apr 11 2011 Elad Alfassa <el.il@doom.co.il> - 0.7-2
- Bugfix: add xorg-x11-fonts-misc to the dependecy list to make exe version number displaying work again.

* Mon Apr 11 2011 Elad Alfassa <el.il@doom.co.il> - 0.7-1
- Now works on GNOME 3

* Wed Sep 29 2010 Elad Alfassa <el.il@doom.co.il> - 0.7-0
- Version update:
- support Vista icons
- Include copy of LGPL 2.1 
- Put images in /usr/share/pixmaps/gnome-exe-thumbnailer
-and spec file fixes.

* Sun Sep 26 2010 Elad Alfassa <el.il@doom.co.il> - 0.6-3
-Fix typo.

* Sun Sep 26 2010 Elad Alfassa <el.il@doom.co.il> - 0.6-2
- Mark schemas file as config file

* Sun Sep 26 2010 Elad Alfassa <el.il@doom.co.il> - 0.6-1
- More spec file fixes

* Thu Sep 23 2010 Elad Alfassa <elad@macron.co.il> - 0.6-0
- Version update, some general spec file fixes.

* Sun Jul 25 2010 Elad Alfassa <elad@macron.co.il> - 0.3-1
- initial build
